# -*- coding: utf-8 -*-
def extract_datetime(path):
    # 分割字符串以找到 'node1_' 后面的部分
    parts = path.split('node1_')
    if len(parts) > 1:
        # 分割找到的部分以获取日期时间
        datetime_part = parts[1].split('_')[0]
        return datetime_part
    return None


if __name__ == '__main__':
    path = 'pjisuv/pjisuv-012/data/node1_2024-08-07-03-06-18_UnknownBigTargetAhead_20/'
    datetime = extract_datetime(path)
    print(datetime)  # 输出: 2024-08-07-03-06-18